Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.control
Class TurnPageListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.csw.control.SimpleSearchListener
              org.deegree.portal.standard.csw.control.TurnPageListener

All Implemented Interfaces:
  EventListener, WebListener

    public class TurnPageListener

extends SimpleSearchListener

A `${type_name}` class.
TODO class description

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`config, HTML_FRAGMENT, nsContext, RESULT_SEARCH, RPC_CATALOG, RPC_FORMAT, SESSION_AVAILABLESERVICECATALOGS, SESSION_DATARECORDS, SESSION_REQUESTFORRESULTS, SESSION_RESULTFORHITS`

Constructor Summary
`TurnPageListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected void` | `validateRequest(RPCWebEvent rpcEvent)` Validates the rpc request and makes sure that all the needed parameters are included

Methods inherited from class org.deegree.portal.standard.csw.control.SimpleSearchListener
`createDataSessionRecords, createRequest, createRpcStructForServiceSearch, doServiceSearch, extractMetadata, extractRPCCatalogs, extractRPCMember, extractRPCParameters, extractRPCStruct, extractValue, getMetadataType, getXPathToId, getXPathToTitle, handleResult, isKnownMetadataType, performRequest`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurnPageListener

    public TurnPageListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Overrides:
    `actionPerformed` in class `SimpleSearchListener`

### validateRequest

    protected void validateRequest(RPCWebEvent rpcEvent)
                            throws CatalogClientException

  Description copied from class: `SimpleSearchListener`
  Validates the rpc request and makes sure that all the needed parameters are included

  Overrides:
    `validateRequest` in class `SimpleSearchListener`
  Throws:
    `CatalogClientException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org